Subject: bug#40486: closed (Re: bug#40486: http-get doesn't respect #:verify-certificate?)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 27 May 2020 21:30:03 +0000

Your bug report

#40486: http-get doesn't respect #:verify-certificate?

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40486: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40486
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40486: http-get doesn't respect #:verify-certificate?
From: Ludovic Courtès <[email-masked]>
To: Jan Synacek <[email-masked]>
Cc: [email-masked]
Date: Wed, 27 May 2020 23:29:49 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Jan Synacek <[email-masked]> skribis:

> When I run the following piece of code:
>
> (use-modules (web client))
> (http-get "https://bugzilla.redhat.com/rest/bug/1" #:verify-certificate? #f)
>
> I get:
> ...
> In web/client.scm:
>     563:0  1 (http-get "https://bugzilla.redhat.com/rest/bug/1" # _ # …)
>     231:6  0 (tls-wrap #<closed: file 1db4540> _ # _)
>
> web/client.scm:231:6: In procedure tls-wrap:
> X.509 certificate of 'bugzilla.redhat.com' could not be verified:
>   signer-not-found invalid
>
> If I use http-request instead of http-get, the keyword argument is
> correctly taken into account and the certificate is not verified.
>
> I use v3.0.2.

Fixed in a5421d2bb6e27fe77e794f950833ca6d84c8c523, thanks!

Ludo’.

Subject: http-get doesn't respect #:verify-certificate?
From: Jan Synacek <[email-masked]>
To: [email-masked]
Date: Tue, 07 Apr 2020 17:29:54 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

When I run the following piece of code:

(use-modules (web client))
(http-get "https://bugzilla.redhat.com/rest/bug/1" #:verify-certificate? #f)

I get:
...
In web/client.scm:
    563:0  1 (http-get "https://bugzilla.redhat.com/rest/bug/1" # _ # …)
    231:6  0 (tls-wrap #<closed: file 1db4540> _ # _)

web/client.scm:231:6: In procedure tls-wrap:
X.509 certificate of 'bugzilla.redhat.com' could not be verified:
  signer-not-found invalid

If I use http-request instead of http-get, the keyword argument is
correctly taken into account and the certificate is not verified.

I use v3.0.2.